List Solana Tokens
Returns a paginated list of known tokens on the Solana chain, including each token's program ID (mint address), symbol, name, and decimal precision. Use `limit` and `offset` to page through the full token registry.
GET
https://api.cambrian.org/solana/tokens
Parameters
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "programId",
"type": "String"
},
{
"name": "symbol",
"type": "String"
},
{
"name": "name",
"type": "String"
},
{
"name": "decimals",
"type": "UInt8"
}
],
"data": [
[
"111pZmnFrX5G9jidWUg1icALt8PxkRGt19nV9ywrTd",
"RPOW",
"RPOW",
6
],
[
"117wSs4gNY39i8q5AqCFozrzCEhDxvSa2Hi7vBbofaQ",
"emilio",
"emilio",
6
],
[
"11BMjvM2tzoP4Ww4G5TMTa8oR4kCSMjvQ74XXfXuHtx",
"ANSEM",
"The Black Bull",
6
],
[
"11FUarnYkUCkM4AXJvnmnnGzW2VBEDHrrNrBuZr7yBE",
"$FRC",
"Flamingo Revolution",
6
],
[
"11K8eZYt5KR282ZkK2c8bB4ZHFfqtbY6muqHMvLEASY",
"YEILDCASH",
"yeildcash",
6
],
[
"11T6GBCzs429acLCrBGk2FTsJd74mjiHeDkgCd4ryZh",
"W26",
"WORLD CUP 2026",
6
],
[
"11pys8LJLJoeMfhvBMbEFFkwEwj5B87G8k3gA6PEASY",
"VARSKO",
"Varsko Intelligent ",
6
],
[
"11shjygYRN8tVcXNGCFepSXBT9aVXwvXj97ySf1bory",
"NGG",
"NinjaGuild",
6
],
[
"1215hKyD1K8apJcpmndXyQDfR4UoqQtUtmfJJxGirXPX",
"BIRDS",
"Birds for some Reason",
9
],
[
"121UCZVRpK3DrLryx4eEE37YoiCJanyZt7hwgRPCBAGS",
"TAXFREE",
"Taxfree coin",
9
]
],
"rows": 10
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Solana Tokens
Retrieve a page of known Solana tokens, limited to 10 results.
curl
curl -X GET "https://api.cambrian.org/solana/tokens?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "programId",
6 "type": "String"
7 },
8 {
9 "name": "symbol",
10 "type": "String"
11 },
12 {
13 "name": "name",
14 "type": "String"
15 },
16 {
17 "name": "decimals",
18 "type": "UInt8"
19 }
20 ],
21 "data": [
22 [
23 "111pZmnFrX5G9jidWUg1icALt8PxkRGt19nV9ywrTd",
24 "RPOW",
25 "RPOW",
26 6
27 ],
28 [
29 "117wSs4gNY39i8q5AqCFozrzCEhDxvSa2Hi7vBbofaQ",
30 "emilio",
31 "emilio",
32 6
33 ],
34 [
35 "11BMjvM2tzoP4Ww4G5TMTa8oR4kCSMjvQ74XXfXuHtx",
36 "ANSEM",
37 "The Black Bull",
38 6
39 ],
40 [
41 "11FUarnYkUCkM4AXJvnmnnGzW2VBEDHrrNrBuZr7yBE",
42 "$FRC",
43 "Flamingo Revolution",
44 6
45 ],
46 [
47 "11K8eZYt5KR282ZkK2c8bB4ZHFfqtbY6muqHMvLEASY",
48 "YEILDCASH",
49 "yeildcash",
50 6
51 ],
52 [
53 "11T6GBCzs429acLCrBGk2FTsJd74mjiHeDkgCd4ryZh",
54 "W26",
55 "WORLD CUP 2026",
56 6
57 ],
58 [
59 "11pys8LJLJoeMfhvBMbEFFkwEwj5B87G8k3gA6PEASY",
60 "VARSKO",
61 "Varsko Intelligent ",
62 6
63 ],
64 [
65 "11shjygYRN8tVcXNGCFepSXBT9aVXwvXj97ySf1bory",
66 "NGG",
67 "NinjaGuild",
68 6
69 ],
70 [
71 "1215hKyD1K8apJcpmndXyQDfR4UoqQtUtmfJJxGirXPX",
72 "BIRDS",
73 "Birds for some Reason",
74 9
75 ],
76 [
77 "121UCZVRpK3DrLryx4eEE37YoiCJanyZt7hwgRPCBAGS",
78 "TAXFREE",
79 "Taxfree coin",
80 9
81 ]
82 ],
83 "rows": 10
84 }
85]
2 {
3 "columns": [
4 {
5 "name": "programId",
6 "type": "String"
7 },
8 {
9 "name": "symbol",
10 "type": "String"
11 },
12 {
13 "name": "name",
14 "type": "String"
15 },
16 {
17 "name": "decimals",
18 "type": "UInt8"
19 }
20 ],
21 "data": [
22 [
23 "111pZmnFrX5G9jidWUg1icALt8PxkRGt19nV9ywrTd",
24 "RPOW",
25 "RPOW",
26 6
27 ],
28 [
29 "117wSs4gNY39i8q5AqCFozrzCEhDxvSa2Hi7vBbofaQ",
30 "emilio",
31 "emilio",
32 6
33 ],
34 [
35 "11BMjvM2tzoP4Ww4G5TMTa8oR4kCSMjvQ74XXfXuHtx",
36 "ANSEM",
37 "The Black Bull",
38 6
39 ],
40 [
41 "11FUarnYkUCkM4AXJvnmnnGzW2VBEDHrrNrBuZr7yBE",
42 "$FRC",
43 "Flamingo Revolution",
44 6
45 ],
46 [
47 "11K8eZYt5KR282ZkK2c8bB4ZHFfqtbY6muqHMvLEASY",
48 "YEILDCASH",
49 "yeildcash",
50 6
51 ],
52 [
53 "11T6GBCzs429acLCrBGk2FTsJd74mjiHeDkgCd4ryZh",
54 "W26",
55 "WORLD CUP 2026",
56 6
57 ],
58 [
59 "11pys8LJLJoeMfhvBMbEFFkwEwj5B87G8k3gA6PEASY",
60 "VARSKO",
61 "Varsko Intelligent ",
62 6
63 ],
64 [
65 "11shjygYRN8tVcXNGCFepSXBT9aVXwvXj97ySf1bory",
66 "NGG",
67 "NinjaGuild",
68 6
69 ],
70 [
71 "1215hKyD1K8apJcpmndXyQDfR4UoqQtUtmfJJxGirXPX",
72 "BIRDS",
73 "Birds for some Reason",
74 9
75 ],
76 [
77 "121UCZVRpK3DrLryx4eEE37YoiCJanyZt7hwgRPCBAGS",
78 "TAXFREE",
79 "Taxfree coin",
80 9
81 ]
82 ],
83 "rows": 10
84 }
85]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/tokens"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/tokens"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/tokens")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/tokens")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request